package com.wechat.model.requestDto;

import java.util.List;

import org.hibernate.validator.constraints.NotEmpty;

import com.wechat.model.dto.SubscribedPositionsDto;

public class SubscribePositionReq {

	private List<SubscribedPositionsDto> positions;//职位
	//酒店筹开状态
	private List<String> prepareFlags;

	@NotEmpty(message="职位信息不能为空|Position information can not be empty.")
	public List<SubscribedPositionsDto> getPositions() {
		return positions;
	}
	public void setPositions(List<SubscribedPositionsDto> positions) {
		this.positions = positions;
	}
	
	public List<String> getPrepareFlags() {
		return prepareFlags;
	}
	public void setPrepareFlags(List<String> prepareFlags) {
		this.prepareFlags = prepareFlags;
	}

}
